Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224153 - either a missing build requirement or a missing --disable-XXX configure option
Summary: either a missing build requirement or a missing --disable-XXX configure option
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gettext
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-24 13:59 UTC by Karsten Hopp
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-26 03:17:39 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2007-01-24 13:59:03 UTC
Description of problem:
gettext builds a jar file when java is present in the build environment and
rpmbuild fails due to an unpackaged file:

Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/gettext-0.16.1-3.fc7.src.rpm-root
error: Installed (but unpackaged) file(s) found:
   /usr/share/gettext/libintl.jar
Version-Release number of selected component (if applicable):
gettext-0.16.1-3.fc7

Comment 1 Jens Petersen 2007-02-01 02:28:14 UTC
Can you attach the buildroot package list (maybe gzipped?)
I'm having trouble getting the Java compiler to be recognised
by configure.

I have these installed at least:
gcc-java-4.1.1-51.fc6
java-1.4.2-gcj-compat-1.4.2.0-40jpp.110
libgcj-4.1.1-51.fc6
libgcj-devel-4.1.1-51.fc6

(The configure behaviour for gcj seems to have changed from gettext-0.15.)

Comment 2 Jens Petersen 2007-02-01 04:05:30 UTC
According to Bruno Haible on bugs-gnu-utils, gcj < 4.3 can't create
fully portable .jar files and that is why recent gettext is not compiling
libintl.jar.

Perhaps you have some java installed why is building it for you?

Comment 3 Karsten Hopp 2007-02-01 10:09:22 UTC
I'm not entirely sure as I've already deleted the buildroot, but I think I had
the following packages installed:
gcc-java-4.1.1-53
java-1.4.2-gcj-compat-1.4.2.0-40jpp.111
libgcj-4.1.1-53
libgcj-devel-4.1.1-53

But the problem here is probably that you should add a 'rm -f
$RPM_BUILD_ROOT/%{_datadir}/%{name}/libintl.jar' or '--disable-java' to the
configure options if you don't want to ship this file and it just happens to
build sometimes.

Comment 4 Jens Petersen 2007-02-01 23:40:54 UTC
Here is the reply on bugs-gnu-utils for the record:
http://lists.gnu.org/archive/html/bug-gnu-utils/2007-01/msg00098.html

"--disable-java" also removes other java related files
so I don't really want to do that.

Do you remember what tree you used for the test build?  It might give more clues.

It really shouldn't be possible to build that .jar file with gcj < 4.3.

Comment 5 Jens Petersen 2007-03-26 03:17:39 UTC
I added a build switch for the jar file.


Note You need to log in before you can comment on or make changes to this bug.